# Get All Products Endpoint: GET /products Version: 1.0.0 Security: ApiKeyAuth ## Query parameters: - `limit` (integer) The number of results to return (default 10). - `offset` (integer) The page number for pagination (default 0). This is multiplied by limit to get the actual offset. - `order` (string) Sorting property (default sort is by www update date). Multiple sorts can be supplied by comma concatenation. Enum: "wwwUpdateDate", "title" - `orderDirection` (string) Sorting direction (default is "desc"). Multiple directions can be defined for multiple sorts. Example: "desc,asc" - `productId` (string) Filter by product identifier. - `category` (string) Filter by product category. ## Response 200 fields (application/json): - `data` (array) - `data.productId` (string) Unique identifier for the product. Example: "RA2A1" - `data.wwwUpdateDate` (string) Date the product page was last updated on the website. - `data.uuid` (string) UUID of the product. Example: "8a9c4b2e-1f3d-4e9a-b5c6-7d8e9f0a1b2c" - `data.title` (string) Title of the product page. Example: "32-bit Microcontrollers with 48MHz Arm Cortex-M23 and Integration of 24-bit Sigma-Delta ADC" - `data.url` (string) Public URL of the product page on the Renesas website. Example: "https://www.renesas.com/products/ra2a1" - `data.category` (array) Category. Example: [[{"level":1,"title":"Microcontrollers & Microprocessors"},{"level":2,"title":"RA Arm Cortex-M MCUs"}]] - `data.category.level` (integer) Level of the category: * 1 - Primary category * 2 - Secondary subcategory * 3 - Tertiary subcategory * 4 - Fourth-level subcategory Enum: 1, 2, 3, 4 - `data.category.title` (string) Title of the category. - `data.description` (string) Detailed description of the product. Example: "The RA2A1 group is a high-performance, low-power analog microcontroller based on an Arm® Cortex®-M23 core with a 48MHz clock frequency and a wide range of analog front ends, including two types of A/D converters. This group supports a 16-bit SAR A/D converter, a 24-bit sigma-delta A/D converter, a 12-bit D/A converter, comparators, and operational amplifiers. These functions are suitable for applications that measure and adjust sensor signals with high accuracy. In addition, UART, I2C, simple SPI, CAN, and USB 2.0 Full-Speed are also integrated as peripheral functions, enabling easy communication with other devices. The RA2A1 supports a wide operating voltage range of 1.6V to 5.5V, enabling communication with devices operating at 5V without level shifters. The RA2A1 MCU targets industrial sensor applications with low power consumption and low-cost advantage." - `data.features` (string) Key features and capabilities of the product. Example: "• 48MHz Arm Cortex-M23\n• 256kB Flash memory and 32kB SRAM\n• 8kB Data Flash to store data as in EEPROM\n• Scalable from 32-pin to 64-pin packages\n• Capacitive touch sensing unit\n• 16-bit SAR A/D, 24-bit SD A/D\n• 12-bit D/A, 8-bit D/A\n• OPAMP (3ch), ACMP-HS/LP\n• USB 2.0 Full Speed\n• CAN 2.0\n• SCI (UART, Simple SPI, Simple I2C)" - `data.applications` (string) Target applications and use cases. Example: "Industrial automation (photoelectric sensor, fiber sensor, temperature sensor), Process automation (pressure sensor, flow control meter, single phase meter), Building automation/home appliance (smoke detector), Healthcare (pulse oximeters, body composition measurement), General purpose" - `data.additionalDetails` (string,null) Additional technical details and specifications. - `data.images` (array) Array of image URLs for the product. Example: ["https://www.renesas.com/sites/default/files/ra2a1-block-diagram.png"] - `data.orderableProducts` (array) List of orderable product parts associated with this product. Example: [{"orderableId":"R7FA2A1AB2CBT#AC0","href":"/product-parts/R7FA2A1AB2CBT%23AC0"},{"orderableId":"R7FA2A1AB3CFJ#AA0","href":"/product-parts/R7FA2A1AB3CFJ%23AA0"},{"orderableId":"R7FA2A1AB3CFJ#BA0","href":"/product-parts/R7FA2A1AB3CFJ%23BA0"},{"orderableId":"R7FA2A1AB3CFM#AA0","href":"/product-parts/R7FA2A1AB3CFM%23AA0"},{"orderableId":"R7FA2A1AB3CFM#BA0","href":"/product-parts/R7FA2A1AB3CFM%23BA0"},{"orderableId":"R7FA2A1AB3CNE#AA0","href":"/product-parts/R7FA2A1AB3CNE%23AA0"},{"orderableId":"R7FA2A1AB3CNF#AA0","href":"/product-parts/R7FA2A1AB3CNF%23AA0"}] - `data.orderableProducts.orderableId` (string) Orderable product part identifier. - `data.orderableProducts.href` (string) URL to the product part endpoint. - `data.relatedProducts` (array) List of related product identifiers. Example: [{"productId":"ra2l1","title":"RA2L1","href":"/products/ra2l1"},{"productId":"ra2e1","title":"RA2E1","href":"/products/ra2e1"}] - `data.relatedProducts.productId` (string) Related product identifier. - `data.relatedProducts.title` (string) Title of the related product. - `data.relatedProducts.href` (string) URL to the product endpoint. - `data.relatedBoardsKits` (array) List of related boards and kits. Example: [{"boardKitId":"EK-RA2A1","title":"Evaluation Kit for RA2A1 MCU Group","href":"/boards-kits/EK-RA2A1"}] - `data.relatedBoardsKits.boardKitId` (string) Related board or kit identifier. - `data.relatedBoardsKits.title` (string) Title of the related board or kit. - `data.relatedBoardsKits.href` (string) URL to the board/kit endpoint. - `data.featuredDocuments` (array) Featured documents associated with the product. Example: [{"agileId":"X1234567","dcpDocumentId":"R01DS0354EJ0111","title":"Renesas RA2A1 Group Datasheet","type":"Datasheet","language":"en","href":"/documents/R01DS0354EJ0111"},{"agileId":"X1234568","dcpDocumentId":"R01UH0888EJ0110","title":"Renesas RA2A1 Group User's Manual: Hardware","type":"Manual - Hardware","language":"en","href":"/documents/R01UH0888EJ0110"}] - `data.featuredDocuments.agileId` (string) Agile ID of the document. - `data.featuredDocuments.dcpDocumentId` (string,null) DCP Document ID, if applicable. - `data.featuredDocuments.title` (string) Document title. - `data.featuredDocuments.type` (string) Document type. - `data.featuredDocuments.language` (string) Document language. - `data.featuredDocuments.href` (string) Public URL of the document file. - `data.relatedDocuments` (array) List of related document identifiers. Example: [{"agileId":"X1234567","dcpDocumentId":"R01DS0354EJ0111","title":"Renesas RA2A1 Group Datasheet","type":"Datasheet","language":"en","href":"/documents/R01DS0354EJ0111"},{"agileId":"X1234568","dcpDocumentId":"R01UH0888EJ0110","title":"Renesas RA2A1 Group User's Manual: Hardware","type":"Manual - Hardware","language":"en","href":"/documents/R01UH0888EJ0110"},{"agileId":"X1234569","dcpDocumentId":"R01TB0027EJ0100","title":"RA2A1 Group Handbook","type":"Document","language":"en","href":"/documents/R01TB0027EJ0100"}] - `data.relatedDocumentsSecondary` (array) List of secondary related document identifiers. Example: [{"agileId":"X1234569","dcpDocumentId":"R01TB0027EJ0100","title":"RA2A1 Group Handbook","type":"Document","language":"en","href":"/documents/R01TB0027EJ0100"}] - `data.softwareTools` (array) List of software tools and sample code associated with this product. Example: [{"softwareToolName":"Arm® Keil® MDK","href":"/software-tools/Arm%C2%AE%20Keil%C2%AE%20MDK"},{"softwareToolName":"E2 Emulator (With Programming Function)","href":"/software-tools/E2%20Emulator%20(With%20Programming%20Function)"},{"softwareToolName":"EK-RA2A1 Example Project Bundle","href":"/software-tools/EK-RA2A1%20Example%20Project%20Bundle"}] - `data.softwareTools.softwareToolName` (string) Software tool identifier (uses full title). - `data.softwareTools.href` (string) URL to the software tool endpoint. - `pagination` (object) - `pagination.offset` (integer) The actual offset used (page * limit) - `pagination.limit` (integer) The number of items per page - `pagination.total` (integer) Total number of items available - `pagination.has_more` (boolean) Whether there are more items available ## Response 500 fields (application/json): - `error` (string)